Bug 506216 - grubby needs to respect default kernel on remove
grubby needs to respect default kernel on remove
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mkinitrd (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Peter Jones
Release Test Team
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-16 00:11 EDT by Bill McGonigle
Modified: 2010-11-10 12:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 12:35:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill McGonigle 2009-06-16 00:11:58 EDT
Description of problem:

  grubby doesn't set default= based on kernel in /etc/sysconfig/kernel when a kernel is removed

Version-Release number of selected component (if applicable):

  mkinitrd-5.1.19.6-44.i386

How reproducible:
 
  always

Steps to Reproduce:
1. have two flavors of kernel installed, e.g. kernel and kernel-xen
2. set the default kernel type to kernel-xen
3. make sure it's the default kernel
4. yum install a newer kernel-xen (grubby updates, new kernel-xen is now default)
5. yum remove that newer kernel-xen
  
Actual results:
  
  plain kernel is now the default (default=0)

Expected results:

  previously default kernel-xen is the default
Comment 1 Bill McGonigle 2009-06-16 00:15:17 EDT
(or, in step 4, rpm install a newer kernel-xen)
Comment 2 David Cantrell 2010-07-01 23:01:39 EDT
grubby has always worked this way.
Comment 3 RHEL Product and Program Management 2010-07-01 23:05:00 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.
Comment 4 Bill McGonigle 2010-07-01 23:26:06 EDT
Sure, why not?  "It's always been broken" seems like a poor reason to close a bug.

Note You need to log in before you can comment on or make changes to this bug.